[Pkg-nagios-changes] [pkg-nagios-plugins] 185/413: fix epn in check_ircd

Jan Wagner waja at moszumanska.debian.org
Tue Nov 26 23:13:21 UTC 2013


This is an automated email from the git hooks/post-receive script.

waja pushed a commit to branch master
in repository pkg-nagios-plugins.

commit 47e1f218295bd5e9d34293cb055b5ddd5f31e984
Author: Jan Wagner <waja at cyconet.org>
Date:   Wed Sep 23 11:59:15 2009 +0000

    fix epn in check_ircd
---
 debian/changelog                            |  2 ++
 debian/patches/00list                       |  1 +
 debian/patches/39_check_ircd_fix_epn.dpatch | 33 +++++++++++++++++++++++++++++
 3 files changed, 36 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 21d1c57..d6d1ccf 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,8 @@ nagios-plugins (1.4.13+git200906171200-2) UNRELEASED; urgency=low
   * Updating standards version to 3.8.3
     - Add README.source
   * droped unused patches from debian/patches
+  * add 39_check_ircd_fix_epn.dpatch to fix epn, thanks to Hendrik Jaeger and
+    Alexander Wirt (Closes: #545940)
 
  -- Jan Wagner <waja at cyconet.org>  Thu, 06 Aug 2009 00:11:51 +0200
 
diff --git a/debian/patches/00list b/debian/patches/00list
index 29ac65a..6eeb761 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -13,3 +13,4 @@
 36_check_ldap_empty_base.dpatch
 37_check_radius_nas-ip-address.dpatch
 38_fix_libexec.dpatch
+39_check_ircd_fix_epn.dpatch
diff --git a/debian/patches/39_check_ircd_fix_epn.dpatch b/debian/patches/39_check_ircd_fix_epn.dpatch
new file mode 100644
index 0000000..7956a4d
--- /dev/null
+++ b/debian/patches/39_check_ircd_fix_epn.dpatch
@@ -0,0 +1,33 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 39_check_ircd_fix_epn.dpatch by Alexander Wirt <formorer at formorer.de>
+##
+## DP: Fixes epn in check_ircd (#545940)
+
+ at DPATCH@
+
+--- nagios-plugins-1.4.12~/plugins-scripts/check_ircd.pl	2009-08-23 09:40:38.000000000 +0200
++++ nagios-plugins-1.4.12/plugins-scripts/check_ircd.pl		2009-09-22 23:35:52.000000000 +0200
+@@ -194,19 +194,19 @@
+ 
+ 	if ($opt_h) {print_help(); exit $ERRORS{'OK'};}
+ 
+-	($opt_H) || ($opt_H = shift) || usage("Host name/address not specified\n");
++	($opt_H) || usage("Host name/address not specified\n");
+ 	my $remotehost = $1 if ($opt_H =~ /([-.A-Za-z0-9]+)/);
+ 	($remotehost) || usage("Invalid host: $opt_H\n");
+ 
+-	($opt_w) || ($opt_w = shift) || ($opt_w = 50);
++	($opt_w) || ($opt_w = 50);
+ 	my $warn = $1 if ($opt_w =~ /^([0-9]+)$/);
+ 	($warn) || usage("Invalid warning threshold: $opt_w\n");
+ 
+-	($opt_c) || ($opt_c = shift) || ($opt_c = 100);
++	($opt_c) || ($opt_c = 100);
+ 	my $crit = $1 if ($opt_c =~ /^([0-9]+)$/);
+ 	($crit) || usage("Invalid critical threshold: $opt_c\n");
+ 
+-	($opt_p) || ($opt_p = shift) || ($opt_p = 6667);
++	($opt_p) || ($opt_p = 6667);
+ 	my $remoteport = $1 if ($opt_p =~ /^([0-9]+)$/);
+ 	($remoteport) || usage("Invalid port: $opt_p\n");
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-nagios/pkg-nagios-plugins.git



More information about the Pkg-nagios-changes mailing list